# Class FileTruncatedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.SAMException
htsjdk.samtools.FileTruncatedException

All Implemented Interfaces:
  `Serializable`

public class FileTruncatedException extends SAMException
Thrown when it is possible to detect that a SAM or BAM file is truncated.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileTruncatedException()`
`FileTruncatedException(String s)`
`FileTruncatedException(String s, Throwable throwable)`
`FileTruncatedException(Throwable throwable)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileTruncatedException

public FileTruncatedException()

### FileTruncatedException

public FileTruncatedException(String s)

### FileTruncatedException

public FileTruncatedException(String s, Throwable throwable)

### FileTruncatedException

public FileTruncatedException(Throwable throwable)